Agent Governance Protocol
API ReferenceRegistry APISkills

Register skill manifest

POST
/agp/skills

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/skills" \  -H "Content-Type: application/json" \  -d '{    "type": "SkillManifest",    "skill_id": "string",    "name": "string",    "version": "string",    "publisher": "string",    "supported_protocols": [      "AGP"    ],    "skill_class": "protocol_adapter",    "risk_class": "low",    "instruction_hash": "string",    "attestation_level": "unverified",    "created_at": "2019-08-24T14:15:22Z"  }'
{  "type": "SkillManifest",  "skill_id": "string",  "name": "string",  "version": "string",  "publisher": "string",  "supported_protocols": [    "AGP"  ],  "skill_class": "protocol_adapter",  "risk_class": "low",  "instruction_hash": "string",  "required_tools": [    "string"  ],  "required_approvals": [    "string"  ],  "attestation_level": "unverified",  "created_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}